<?php
/**
* @Cinema - Un componente per Joomla
* @package Component for Joomla
* @subpackage admin.cinema.html.php
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* @Renew & fork by Vamba & Luscarpa
* Ispirato e basato su
**/
/**
* AkoGallery - A Mambo Gallery Component
* (C)opyright 2003,2004 by Arthur Konze
* Homepage   : www.mamboportal.com
* Version    : 3.0 beta 3
* License    : Copyright, don't distribute
* Translator : Arthur Konze
* Homepage   : www.konze.de
**/

defined( '_VALID_MOS' ) or die( 'Accesso diretto non permesso.' );

# Trova il file lingua se esistente
  if (file_exists($mosConfig_absolute_path.'/components/com_cinema/languages/'.$mosConfig_lang.'.php')) {
    include($mosConfig_absolute_path.'/components/com_cinema/languages/'.$mosConfig_lang.'.php');
  } else {
    include($mosConfig_absolute_path.'/components/com_cinema/languages/english.php');
  }

class HTML_cinema {


	// ***************************************** FUNZIONE SHOWABOUT ***************************************

	function showAbout() {
  	global $CINEMA;
  	?>
		<table cellpadding="4" cellspacing="0" border="0" width="100%">
			<tr>
		<td>
			<div align="left" id="credits" style="width:450px; height:280px; text-align:center; background-color:white; color:black">
				<marquee scrollamount="1" scrolldelay="20" height="280px" behavior="scroll" direction="up" onmouseover=this.stop() onmouseout=this.start() truespeed>
				<img src="components/com_cinema/images/logo.jpg">
				<span class="sectionname"><?php echo $CINEMA->ADMCINEMA_INFO; ?></span><br />
				<?php echo $CINEMA->ADMCINEMA_INFOTXT3; ?><br />
				<?php echo $CINEMA->ADMCINEMA_INFOTXT4; ?><br />
				<?php echo $CINEMA->ADMCINEMA_INFOTXT5; ?><br />
				<?php echo $CINEMA->ADMCINEMA_INFOTXT6; ?><br />
				<?php echo $CINEMA->ADMCINEMA_INFOTXT7; ?><br /><br /><br />
				<?php echo $CINEMA->ADMCINEMA_INFOTXT; ?><br />
				<?php echo $CINEMA->ADMCINEMA_INFOTXT2; ?><br />
				<?php echo $CINEMA->ADMCINEMA_INFOTXT8; ?><br />
       </marquee>
    </div>
 	</td>
				<th><td width="100%" valign="top">
				<span class="sectionname"<h3><?php echo $CINEMA->ADMCINEMA_AGGIORNAMENTO001; ?></h3></span>
				<?php echo $CINEMA->ADMCINEMA_AGGIORNAMENTO002; ?><br />
				<?php echo $CINEMA->ADMCINEMA_AGGIORNAMENTO003; ?>
				<a href="index2.php?option=com_cinema&task=upgrade"><h3><?php echo $CINEMA->ADMCINEMA_AGGIORNAMENTO004; ?></h3></a>
				<?php echo $CINEMA->ADMCINEMA_AGGIORNAMENTO012; ?>
				</td></th>
			</tr>
		</table>
  	<?php
  }


	// ***************************************** FUNZIONE SHOWPICTUREFILES ***************************************

  function showPicturefiles( &$rows, &$pageNav, $option ) {
    global $my, $CINEMA;
    $imgtypearray = array ("GIF","JPG","PNG","SWF","PSD","BMP","TIFF(II)","TIFF(MM)","JPC","JP2","JPX","JB2","SWC","IFF","WBMP","XBM");
		mosCommonHTML::loadOverlib();
		?>
  	<form action="index2.php" method="post" name="adminForm">
  	<table>
    	<tr>
      	<td width="10%" class="sectionname"><img src="components/com_cinema/images/logo.jpg"></td>
      	<td width="100%" class="sectionname"><?php echo $CINEMA->ADMCINEMA_MNGIMG; ?></td>
      	<td nowrap><?php echo $CINEMA->ADMCINEMA_SHOW; ?></td>
      	<td><?php echo $pageNav->writeLimitBox(); ?></td>
    	</tr>
  	</table>
		<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
			<tr>
				<th width="20"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" /></th>
				<th class="title"><?php echo $CINEMA->ADMCINEMA_IMG; ?></th>
				<th align="center"><?php echo $CINEMA->ADMCINEMA_WIDTH; ?></th>
				<th align="center"><?php echo $CINEMA->ADMCINEMA_HEIGHT; ?></th>
				<th align="center"><?php echo $CINEMA->ADMCINEMA_TYPE; ?></th>
				<th align="center"><?php echo $CINEMA->ADMCINEMA_THUMB; ?></th>
			</tr>
			<?php
				$k = 0;
				for ($i=0, $n=count( $rows ); $i < $n; $i++) {
					$row = &$rows[$i];
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td width="20">
					<input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->filename; ?>" onClick="isChecked(this.checked);" />
				</td>
				<td><a href="<?php echo $row->livepath;?>" target="_blank"><?php echo $row->filename;?></a></td>
				<td align="center"><?php echo $row->width;?></td>
				<td align="center"><?php echo $row->height;?></td>
				<td align="center"><?php echo $imgtypearray[$row->type-1];?></td>
				<td align="center">
					<a href="javascript: void(0);" onClick="return listItemTask('cb<?php echo $i;?>','thumbengine')">
						<img src="images/<?php echo ($row->thumbname) ? 'tick.png' : 'publish_x.png';?>" width="12" height="12" border="0" alt="" /></a>
				</td>
			</tr>
			<?php } ?>
			<tr><th align="center" colspan="8"><?php echo $pageNav->writePagesLinks(); ?></th></tr>
    	<tr><td align="center" colspan="8"> <?php echo $pageNav->writePagesCounter(); ?></td></tr>
  	</table>
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="files" />
		<input type="hidden" name="boxchecked" value="0" />
		</form>
		<?php
  }


	// ***************************************** FUNZIONE SHOWFILE ***************************************

  function showFile($file, $option) {
    global $CINEMA;
    $file = stripslashes($file);
    $f=fopen($file,"r");
    $content = fread($f, filesize($file));
    $content = htmlspecialchars($content);
    ?>
    <form action="index2.php?" method="post" name="adminForm" class="adminForm" id="adminForm">
    <table>
      <tr>
      	<td width="10%" class="sectionname"><img src="components/com_cinema/images/logo.jpg"></td>
      	<td width="100%" class="sectionname"><?php echo $CINEMA->ADMCINEMA_LANG; ?></td>
      </tr>
    </table>
    <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminform">
    	<tr><th colspan="4"><font color="green"><?php echo $CINEMA->ADMCINEMA_PATH; ?></font> <?php echo $file; ?></td></tr>
    	<tr><td><textarea cols="80" rows="20" name="filecontent" id="filecontent"><?php echo $content; ?></textarea></td></tr>
    	<tr><td class="error"><?php echo $CINEMA->ADMCINEMA_NOTELANG; ?></td></tr>
    </table>
    <input type="hidden" name="file" value="<?php echo $file; ?>" />
    <input type="hidden" name="option" value="<?php echo $option; ?>">
    <input type="hidden" name="task" value="">
    <input type="hidden" name="boxchecked" value="0">
    </form>
    <?php
  }


	// ***************************************** FUNZIONE SHOWPICTURE ***************************************

  function showPictures( $option, &$rows, &$clist, &$search, &$pageNav ) {
		global $database, $mosConfig_absolute_path, $mosConfig_live_site, $CINEMA;
		mosCommonHTML::loadOverlib();
    require($mosConfig_absolute_path."/administrator/components/com_cinema/config.cinema.php");
  	$thumbnailpath  = $mosConfig_live_site.$cin_paththumbs."/";
    ?>

    <form action="index2.php" method="post" name="adminForm">
    <table cellpadding="4" cellspacing="0" border="0" width="100%">
			<tr>
				<td width="10%" class="sectionname"><img src="components/com_cinema/images/logo.jpg"></td>
				<td width="100%" class="sectionname"><?php echo $CINEMA->ADMCINEMA_MOVIE; ?></td>
				<td nowrap="nowrap"><?php echo $CINEMA->ADMCINEMA_SHOW; ?></td>
				<td><?php echo $pageNav->writeLimitBox(); ?></td>
				<td><?php echo $CINEMA->ADMCINEMA_SEARCH; ?></td>
				<td><input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onSubmit="document.adminForm.submit();" /></td>
				<td width="right"><?php echo $clist;?></td>
			</tr>
    </table>
    <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
      <tr>
        <th width="20"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" /></th>
        <th width="25">#</th>
        <th class="title" width="40%"><?php echo $CINEMA->ADMCINEMA_TITLE; ?></th>
        <th width="20%" align="left"><?php echo $CINEMA->ADMCINEMA_GENERE; ?></th>
        <th colspan="2"><?php echo $CINEMA->ADMCINEMA_REORDER; ?></th>
        <th width="1%"></th>
				<th width="10%"><?php echo $CINEMA->ADMCINEMA_ORDER; ?></th>
        <th width="10%" align="left"><?php echo $CINEMA->ADMCINEMA_HITS; ?></th>
        <th width="10%"><?php echo $CINEMA->ADMCINEMA_PUBLISH; ?></th>
        <th width="5%"><?php echo $CINEMA->ADMCINEMA_DATE; ?></th>
      </tr>
			<?php
				$k = 0;
				for ($i=0, $n=count( $rows ); $i < $n; $i++) {
					$row = &$rows[$i];
					$link 	= 'index2.php?option=com_cinema&task=editA&hidemainmenu=1&id='. $row->id;
					$row->cat_link 	= 'index2.php?option=com_categories&section=com_cinema&task=editA&hidemainmenu=1&id='. $row->catid;
      ?>
      <tr class="<?php echo "row$k"; ?>">
        <td><input type="checkbox" id="cb<?php echo $i;?>" name="id[]" value="<?php echo $row->id; ?>" onclick="isChecked(this.checked);" /></td>
      	<td><a href="<?php echo $link; ?>" title="<?php echo $CINEMA->ADMCINEMA_MNGEDITTITLE; ?><?php echo $row->imgtitle; ?>"><img src='<?php echo $thumbnailpath;?><?php echo $row->imgthumbname;?>' border='1' width='20'></a></td>
				<td><a href="<?php echo $link; ?>" title="<?php echo $CINEMA->ADMCINEMA_MNGEDITTITLE; ?><?php echo $row->imgtitle; ?>"><?php echo $row->imgtitle; ?></a></td>
				<td><a href="<?php echo $row->cat_link; ?>" title="<?php echo $CINEMA->ADMCINEMA_MNGEDITCAT; ?>"><?php echo $row->category; ?></a></td>
        <td><?php echo $pageNav->orderUpIcon( $i, ($row->catid == @$rows[$i-1]->catid) ); ?></td>
        <td><?php echo $pageNav->orderDownIcon( $i, $n, ($row->catid == @$rows[$i+1]->catid) ); ?></td>
				<td align="center" colspan="2"><input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" /></td>
        <td><?php echo $row->imgcounter; ?></td>
        <?php
          $now = date( "Y-m-d h:i:s" );
          if ($now <= $row->publish_up && $row->published == "1") {
            $img = 'publish_y.png';
						$alt = "$CINEMA->ADMCINEMA_PUBL2";
          } else if (($now <= $row->publish_down || $row->publish_down == "0000-00-00 00:00:00") && $row->published == "1") {
            $img = 'publish_g.png';
						$alt = "$CINEMA->ADMCINEMA_PUBL";
          } else if ($now > $row->publish_down && $row->published == "1") {
            $img = 'publish_r.png';
						$alt = "$CINEMA->ADMCINEMA_NOPUBL2";
          } elseif ($row->published == "0") {
            $img = "publish_x.png";
						$alt = "$CINEMA->ADMCINEMA_NOPUBL";
          }
          $times = '';
          if (isset($row->publish_up)) {
            if ($row->publish_up == '0000-00-00 00:00:00') {
              $times .= "<tr><td>$CINEMA->ADMCINEMA_START</td></tr>";
            } else {
              $times .= "<tr><td>$CINEMA->ADMCINEMA_START2 $row->publish_up</td></tr>";
            }
          }
          if (isset($row->publish_down)) {
            if ($row->publish_down == '0000-00-00 00:00:00') {
              $times .= "<tr><td>$CINEMA->ADMCINEMA_FINISH</td></tr>";
            } else {
              $times .= "<tr><td>$CINEMA->ADMCINEMA_FINISH2 $row->publish_down</td></tr>";
            }
          }
          $date = mosFormatDate( $row->imgdate, '%x' );
          ?>
					<td align="center"><a href="javascript: void(0);" onMouseOver="return overlib('<table border=0 width=100% height=100%><?php echo $times; ?></table>', CAPTION, '<?php echo $CINEMA->ADMCINEMA_INFOPUB; ?>' , BELOW, RIGHT);" onMouseOut="return nd();" onClick="return listItemTask('cb<?php echo $i;?>','<?php echo $row->published ? "unpublish" : "publish";?>')"><img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="<?php echo $alt; ?>" /></a></td>
        	<td width="10%" align="center"><?php echo $date; ?></td>
        	<?php
						$k = 1 - $k; ?>
						</tr>
					<?php
				}
			?>
      <tr><th align="center" colspan="11"><?php echo $pageNav->writePagesLinks(); ?></th></tr>
      <tr><td align="center" colspan="11"><?php echo $pageNav->writePagesCounter(); ?></td></tr>
    </table>
    <br />
    <table cellpadding="15">
      <tr>
        <td><img align="absmiddle" src="images/publish_y.png" width="12" height="12" border=0 alt="In Attesa" /> <?php echo $CINEMA->ADMCINEMA_PUBL4; ?> <u><?php echo $CINEMA->ADMCINEMA_ATTESA; ?></u></td>
        <td><img align="absmiddle" src="images/publish_g.png" width="12" height="12" border=0 alt="Visibile" /> <?php echo $CINEMA->ADMCINEMA_PUBL5; ?> <u><?php echo $CINEMA->ADMCINEMA_VISIBILE; ?></u></td>
        <td><img align="absmiddle" src="images/publish_r.png" width="12" height="12" border=0 alt="<?php echo $CINEMA->ADMCINEMA_NOPUBL2; ?>" /> <?php echo $CINEMA->ADMCINEMA_PUBL3; ?> <u><?php echo $CINEMA->ADMCINEMA_NOPUBL2; ?></u></td>
        <td><img align="absmiddle" src="images/publish_x.png" width="12" height="12" border=0 alt="<?php echo $CINEMA->ADMCINEMA_NOPUBL; ?>" /> <?php echo $CINEMA->ADMCINEMA_NOPUBL; ?></td>
      </tr>
    </table>
    <input type="hidden" name="option" value="<?php echo $option;?>" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="boxchecked" value="0" />
    </form>
		<?php
  }


	// ***************************************** FUNZIONE EDITPICTURE ***************************************

	function editPicture( $option, &$row, &$lists, &$imagelist, &$thumblist, $cin_pathimages, $cin_paththumbs ) {
		global $my, $CINEMA;
		mosCommonHTML::loadOverlib();
		mosCommonHTML::loadCalendar();
		?>
		<!-- Check forms before submit -->
		<script language="javascript" type="text/javascript">
			function submitbutton(pressbutton) {
				var form = document.adminForm;
				if (pressbutton == 'cancel') {
					submitform( pressbutton );
					return;
				}

				// do field validation
				if (form.imgtitle.value == ""){
					alert( "<?php echo $CINEMA->ADMCINEMA_MSG001; ?>" );
				} else if (form.catid.value == "0"){
					alert( "<?php echo $CINEMA->ADMCINEMA_MSG002; ?>" );
				} else if (form.imgfilename.value == ""){
					alert( "<?php echo $CINEMA->ADMCINEMA_MSG003; ?>" );
				} else if (form.imgthumbname.value == ""){
					alert( "<?php echo $CINEMA->ADMCINEMA_MSG004; ?>" );
				} else {
					submitform( pressbutton );
				}
			}
		</script>
		<!-- Lets start the output -->
		<table>
			<tr>
				<td width="10%" class="sectionname"><img src="components/com_cinema/images/logo.jpg"></td>
				<td width="100%" class="sectionname">
					<?php echo $CINEMA->ADMCINEMA_MOVIE; ?> <small><?php echo $row->id ? $CINEMA->ADMCINEMA_EDIT  : $CINEMA->ADMCINEMA_ADD ;?> <?php echo $CINEMA->ADMCINEMA_MOVIE2; ?></small>
				</td>
			</tr>
		</table>
		<form action="index2.php" method="post" name="adminForm" id="adminForm">
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr>
				<td widht="70%" valign="top">
					<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
						<th colspan="2">
							<?php echo $CINEMA->ADMCINEMA_DETTAGLI3; ?>
						</th>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_TITLE2; ?></td>
							<td width="80%"><input class="inputbox" type="text" name="imgtitle" size="60" maxlength="100" value="<?php echo htmlspecialchars( $row->imgtitle, ENT_QUOTES );?>" />  <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT001; ?></span></td>
						</tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_TITLE3; ?></td>
							<td width="80%"><input class="inputbox" type="text" name="imgtitle2" size="60" maxlength="100" value="<?php echo htmlspecialchars( $row->imgtitle2, ENT_QUOTES );?>" /></td>
						</tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_MOVIENOW; ?></td>
							<td width="80%" align="left">
								<?php
									$nolsale[] = mosHTML::makeOption( '0', $CINEMA->ADMCINEMA_NOLEGGIO );
									$nolsale[] = mosHTML::makeOption( '1', $CINEMA->ADMCINEMA_CINEMA );
									$nolsale_sale = mosHTML::selectList( $nolsale, 'sale', 'class="inputbox" size="1"', 'value', 'text',  $row->sale );
									echo $nolsale_sale;
								?>
							</td>
						<tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_YEAR; ?></td>
							<td width="80%" align="left"><input class="inputbox" type="text" name="anno" size="4" maxlength="4" value="<?php echo htmlspecialchars( $row->anno, ENT_QUOTES );?>" /></td>
						</tr>
						<tr>
							<td width="20%"  class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_TIME; ?></td>
							<td width="80%" align="left"><input class="inputbox" type="text" name="durata" size="4" maxlength="4" value="<?php echo htmlspecialchars( $row->durata, ENT_QUOTES );?>" /></td>
						</tr>
						<tr>
							<td width="20%" valign="top" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_CATEGORY; ?></td>
							<td width="80%"><?php echo $lists['catid']; ?>  <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT001; ?></span></td>
						</tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_NAZIONE; ?></td>
							<td width="80%"><input class="inputbox" type="text" name="nazione" size="30" maxlength="60" value="<?php echo $row->nazione;?>" /></td>
						</tr>
						<tr>
							<td valign="top" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_REGISTA; ?></td>
							<td>
								<input class="inputbox" type="text" name="imgauthor" value="<?php echo $row->imgauthor; ?>" size="30" maxlength="50" />
								<span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT003; ?></span>
							</td>
						</tr>
						<tr>
							<td width="20%" valign="top" class="inputbox" align="right">
								<?php echo $CINEMA->ADMCINEMA_ATTORI; ?><br />
								<span class="small"><?php echo $CINEMA->ADMCINEMA_ATTORITXT; ?></span>
							</td>
							<td width="80%">
								<textarea class="inputbox" cols="50" rows="1" name="attore1"  /><?php echo htmlspecialchars( $row->attore1, ENT_QUOTES );?></textarea>  <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT004; ?></span>
								<br />
								<textarea class="inputbox" cols="50" rows="1" name="attore2"  /><?php echo htmlspecialchars( $row->attore2, ENT_QUOTES );?></textarea>  <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT005; ?></span>
								<br />
								<textarea class="inputbox" cols="50" rows="1" name="attore3"  /><?php echo htmlspecialchars( $row->attore3, ENT_QUOTES );?></textarea>  <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT006; ?></span>
								<br />
								<textarea class="inputbox" cols="50" rows="1" name="attore4"  /><?php echo htmlspecialchars( $row->attore4, ENT_QUOTES );?></textarea>  <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT007; ?></span>
								<br />
								<textarea class="inputbox" cols="50" rows="1" name="attore5"  /><?php echo htmlspecialchars( $row->attore5, ENT_QUOTES );?></textarea>  <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT008; ?></span>
							</td>
						</tr>
						<tr>
							<td valign="top" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_TRAMA; ?> <span class="small"><?php echo $CINEMA->ADMCINEMA_TRAMATXT; ?></span><br /><span class="small"><?php echo $CINEMA->ADMCINEMA_TRAMATXT2; ?></span></td>
							<td valign="top">
								<?php
									editorArea( 'editor1',  $row->imgtext , 'imgtext', 520, 200, '50', '100' );
								?>
							</td>
						</tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_SITOWEB; ?></td>
							<td width="80%">
								<input class="inputbox" type="text" name="urlweb" size="60" maxlength="180" value="<?php echo htmlspecialchars( $row->urlweb, ENT_QUOTES );?>" />   <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT002; ?></span>
							</td>
						</tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_TRAILER; ?></td>
							<td width="80%">
								<input class="inputbox" type="text" name="urltrailer" size="60" maxlength="180" value="<?php echo htmlspecialchars( $row->urltrailer, ENT_QUOTES );?>" />  <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT002; ?></span>
							</td>
						</tr>
					</table>
				</td>
				<!-- Show the image previews -->
				<td width="30%" valign="top" align="center" class="sectionname">
					<?php
					$editpicturetabs = new mosTabs( 0 );
					$editpicturetabs->startPane("content-pane");
					$editpicturetabs->startTab($CINEMA->ADMCINEMA_LOCANDINE,"locandine-page");
					?>
						<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
							<tr>
								<th colspan="2">
								<?=$CINEMA->ADMCINEMA_INFORMAZIONI?> <?=$CINEMA->ADMCINEMA_LOCAND?>
								</th>
							</tr>
							<tr>
								<td valign="top" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_LOCAND; ?> <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT000; ?></span></td>
								<td><?php echo $imagelist; ?></td>
							</tr>
							<tr>
								<td valign="top" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_ANTEPRIMA; ?></td>
								<td>
									<script language="javascript" type="text/javascript">
										if (document.forms[0].imgfilename.options.value!=''){
											jsimg='<?php echo "..$cin_pathimages/"; ?>' + getSelectedValue( 'adminForm', 'imgfilename' );
										} else {
											jsimg='../images/M_images/blank.png';
										}
										document.write('<img src=' + jsimg + ' name="imagelib2" width="60" height="80" border="1" alt="<?php echo $CINEMA->ADMCINEMA_ANTEPRIMA; ?>" />');
									</script>
								</td>
							</tr>
							<tr>
								<td valign="top" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_MINIAT; ?> <span class="small"><?php echo $CINEMA->ADMCINEMA_MTXT000; ?></span></td>
								<td><?php echo $thumblist; ?></td>
							</tr>
							<tr>
								<td valign="top" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_ANTEPRIMA2; ?></td>
								<td>
									<script language="javascript" type="text/javascript">
										if (document.forms[0].imgthumbname.options.value!=''){
											jsimg='<?php echo "..$cin_paththumbs/"; ?>' + getSelectedValue( 'adminForm', 'imgthumbname' );
										} else {
											jsimg='../images/M_images/blank.png';
										}
										document.write('<img src=' + jsimg + ' name="imagelib" width="60" height="80" border="1" alt="<?php echo $CINEMA->ADMCINEMA_ANTEPRIMA2; ?>" />');
									</script>
								</td>
							</tr>
						</table>
					<?php
					$editpicturetabs->endTab();
					$editpicturetabs->startTab($CINEMA->ADMCINEMA_PUBBLICAZIONE,"pubblicazione-page");
					?>
					<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
						<tr>
							<th colspan="2">
							<?=$CINEMA->ADMCINEMA_INFORMAZIONI?> <?=$CINEMA->ADMCINEMA_PUBBLICAZIONE?>
							</th>
						</tr>
						<tr>
							<td valign="top" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_DATACREAZ; ?></td>
							<td>
								<input class="text_area" type="text" name="imgdate" id="imgdate" size="25" maxlength="19" value="<?php echo $row->imgdate; ?>" />
								<input name="reset" class="button" type="reset" onclick="return showCalendar('imgdate', 'y-mm-dd');" value="..." />
							</td>
						</tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_INIZIOPUBL; ?></td>
							<td width="80%">
								<input class="text_area" type="text" name="publish_up" id="publish_up" size="25" maxlength="19" value="<?php echo $row->publish_up; ?>" />
								<input type="reset" class="button" value="..." onClick="return showCalendar('publish_up', 'y-mm-dd');">
							</td>
						</tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_FINEPUBL; ?></td>
							<td width="80%">
								<input class="text_area" type="text" name="publish_down" id="publish_down" size="25" maxlength="19" value="<?php echo $row->publish_down; ?>" />
								<input type="reset" class="button" value="..." onClick="return showCalendar('publish_down', 'y-mm-dd');">
							</td>
						</tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_DISPO; ?></td>
							<td width="80%">
								<select class="inputbox" name="disponibile" size="1" />
									<option selected value='<?php echo $row->disponibile; ?>'><?php echo $row->disponibile; ?></option>
									<option value='DVD - VHS'>DVD - VHS</option>
									<option value='DVD'>DVD</option>
									<option value='VHS'>VHS</option>
									<option value='Nelle sale'>Nelle sale</option>
								</select>
							</td>
						</tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_AUDIO; ?></td>
							<td width="80%">
								<select class="inputbox" name="audio" size="1" />
									<option selected value='<?php echo $row->audio; ?>'><?php echo $row->audio; ?></option>
									<option value='DTS 5+1 <img src="components/com_cinema/images/audio/5+1dts.png">'>DTS 5+1</option>
									<option value='DTS 6+1 <img src="components/com_cinema/images/audio/6+1dts.png">'>DTS 6+1</option>
									<option value='Dolby Digital 5+1 <img src="components/com_cinema/images/audio/5+1.png">'>Dolby Digital 5+1</option>
									<option value='Dolby Digital 2+1 <img src="components/com_cinema/images/audio/21.png">'>Dolby Digital 2+1</option>
									<option value='Dolby Digital Stereo <img src="components/com_cinema/images/audio/20.png">'>Dolby Digital Stereo</option>
									<option value='Mono'>Mono</option>
								</select>
							</td>
						</tr>
						<tr>
							<td width="20%" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_VIDEO; ?></td>
							<td width="80%">
								<select class="inputbox" name="video" size="1" />
									<option selected value='<?php echo $row->video; ?>'><?php echo $row->video; ?></option>
									<option value='4:3'>4:3</option>
									<option value='1.33:1'>1.33:1</option>
									<option value='1.33:1 A'>1.33:1 A</option>
									<option value='1.75:1'>1.75:1</option>
									<option value='1.75:1 A'>1.75:1 A</option>
									<option value='1.78:1'>1.78:1</option>
									<option value='1.78:1 A'>1.78:1 A</option>
									<option value='1.85:1'>2.35:1</option>
									<option value='1.85:1 A'>2.35:1 A</option>
									<option value='2.35:1'>2.35:1</option>
									<option value='2.35:1 A'>2.35:1 A</option>
									<option value='2.40:1'>2.40:1</option>
								</select>
							</td>
						</tr>
						<tr>
							<td valign="top" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_ORDER2; ?></td>
							<td><?php echo $lists['ordering']; ?></td>
						</tr>
					</table>
					<?php
						$editpicturetabs->endTab();
						$editpicturetabs->startTab($CINEMA->ADMCINEMA_METADATA,"meta-page");
					?>
						<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
							<tr>
								<th colspan="2">
								Meta Data
								</th>
							</tr>
							<tr>
								<td class="inputbox"><?php echo $CINEMA->ADMCINEMA_DESCRIZIONE2; ?></td>
							</tr>
							<tr>
								<td align="left" valign="top"><textarea class="inputbox" cols="15" rows="3"  style="width:99%" name="metadesc"><?php echo "$row->metadesc"; ?></textarea>
								<span class="small"><?php echo $CINEMA->ADMCINEMA_METADATA001; ?></span></td>
							</tr>
								<tr>
        					 <td> <input type="button" class="inputbox" value="<?php echo $CINEMA->ADMCINEMA_KEYWORDS3; ?>" onClick="f=document.adminForm;f.metadesc.value=getSelectedText('adminForm','catid')+', '+f.imgtext.value;" />
        					 </td>
							<tr>
								<td valign="top" class="inputbox" align="right"><?php echo $CINEMA->ADMCINEMA_KEYWORDS2; ?></td>
							</tr>
							<tr>
								<td align="left"  width='80%' valign="top"><textarea class="inputbox" cols="15" rows="3" style="width:99%" name="metakey"><?php echo "$row->metakey"; ?></textarea>
								<span class="small"><?php echo $CINEMA->ADMCINEMA_METADATA002; ?></span></td>
							</tr>
      							<tr>
        					 <td> <input type="button" class="inputbox" value="<?php echo $CINEMA->ADMCINEMA_METADATA003; ?>" onClick="f=document.adminForm;f.metakey.value=getSelectedText('adminForm','catid')+', '+f.imgtitle.value+' '+f.metakey.value;" />
        					 </td>
      							</tr>
						</table>
					<?php
						$editpicturetabs->endTab();
						$editpicturetabs->endPane();
					?>
					<br />
					<div align="center"><img src="components/com_cinema/images/locandina.png"></div>
				</td>
			</tr>
		</table>
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="published" value="1" />
		</form>

		<?php
	}


	// ***************************************** FUNZIONE SHOWCOMMENTS ***************************************

	function showComments( $option, &$rows, &$search, &$pageNav ) {
		global $CINEMA;
    ?>
    <form action="index2.php" method="post" name="adminForm">
    <table cellpadding="4" cellspacing="0" border="0" width="100%">
			<tr>
				<td width="10%" class="sectionname"><img src="components/com_cinema/images/logo.jpg"></td>
				<td width="100%" class="sectionname"><?php echo $CINEMA->ADMCINEMA_COMMENTO; ?></td>
				<td nowrap="nowrap"><?php echo $CINEMA->ADMCINEMA_SHOW; ?></td>
				<td><?php echo $pageNav->writeLimitBox(); ?></td>
			</tr>
    </table>
    <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
      <tr>
        <th width="20"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" /></th>
        <th class="title" width="10%"><?php echo $CINEMA->ADMCINEMA_AUTORE; ?></th>
        <th width="60%" align="left"><?php echo $CINEMA->ADMCINEMA_TESTO; ?></th>
        <th width="10%"><?php echo $CINEMA->ADMCINEMA_IP; ?></th>
        <th width="5%"><?php echo $CINEMA->ADMCINEMA_MOVIE2; ?></th>
        <th width="10%"><?php echo $CINEMA->ADMCINEMA_DATE; ?></th>
      </tr>
      <?php
        $k = 0;
				for ($i=0, $n=count( $rows ); $i < $n; $i++) {
					$row = &$rows[$i];
      ?>
      <tr class="<?php echo "row$k"; ?>">
        <td><input type="checkbox" id="cb<?php echo $i;?>" name="id[]" value="<?php echo $row->cmtid; ?>" onclick="isChecked(this.checked);" /></td>
        <td><?php echo $row->cmtname; ?></td>
        <td><?php echo $row->cmttext; ?></td>
        <td align="center"><?php echo $row->cmtip; ?></td>
        <td width="5%" align="center"><?php echo $row->cmtpic; ?></td>
        <td width="5%" align="center"><?php echo strftime("%c",$row->cmtdate); ?></td>
        <?php
					$k = 1 - $k;
				?>
      </tr>
			<?php
       	} ?>
			<tr><th align="center" colspan="6"><?php echo $pageNav->writePagesLinks(); ?></th></tr>
      <tr><td align="center" colspan="6"><?php echo $pageNav->writePagesCounter(); ?></td></tr>
    </table>
    <input type="hidden" name="option" value="<?php echo $option;?>" />
    <input type="hidden" name="task" value="sub3" />
    <input type="hidden" name="boxchecked" value="0" />
    </form>
		<?php
  }

}
?>